GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientReaderWriterInterface< W, R > Class Template Referenceabstract

`#include <stream.h>`

## Public Member Functions
virtual void | WaitForInitialMetadata ()=0
virtual bool | WritesDone ()=0
Public Member Functions inherited from grpc::ClientStreamingInterface
virtual | ~ClientStreamingInterface ()
virtual Status | Finish ()=0
Public Member Functions inherited from grpc::WriterInterface< W >
virtual | ~WriterInterface ()
virtual bool | Write (const W &msg, const WriteOptions &options)=0
bool | Write (const W &msg)
Public Member Functions inherited from grpc::ReaderInterface< R >
virtual | ~ReaderInterface ()
virtual bool | Read (R *msg)=0

## Member Function Documentation

template<class W , class R >

virtual void grpc::ClientReaderWriterInterface< W, R >::WaitForInitialMetadata | ( |  | ) |
| pure virtual

Implemented in grpc::ClientReaderWriter< R, W >.

template<class W , class R >

virtual bool grpc::ClientReaderWriterInterface< W, R >::WritesDone | ( |  | ) |
| pure virtual

Implemented in grpc::ClientReaderWriter< R, W >.

The documentation for this class was generated from the following file:

- include/grpc++/stream.h